> ## Documentation Index
> Fetch the complete documentation index at: https://docs.doczilla.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all Templates

> Get all templates.



## OpenAPI

````yaml GET /v1/templates
openapi: 3.0.0
info:
  title: Doczilla
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://api.doczilla.app
    description: Production
security: []
tags: []
paths:
  /v1/templates:
    get:
      tags:
        - Templates
      description: Get all templates.
      operationId: templates.list
      parameters:
        - name: page
          required: false
          in: query
          schema:
            minimum: 1
            nullable: true
            default: 1
            example: 1
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTemplateResponse'
        '400':
          description: Validations failed!
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '402':
          description: Reached subscription limit!
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionLimitReachedResponse'
        '403':
          description: Token has no active subscription!
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenResponse'
        '429':
          description: Too Many Requests!
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
      security:
        - bearer: []
components:
  schemas:
    ListTemplateResponse:
      type: object
      properties:
        hasNextPage:
          type: boolean
          description: Is true if there is a next page.
        hasPreviousPage:
          type: boolean
          description: Is true if there is a previous page.
        data:
          description: The list of templates.
          type: array
          items:
            $ref: '#/components/schemas/ListTemplate'
      required:
        - hasNextPage
        - hasPreviousPage
        - data
    BadRequestResponse:
      type: object
      properties:
        message:
          type: string
          example: Validations failed!
        code:
          type: string
          example: api.validation
        fields:
          type: object
          additionalProperties:
            type: string
          example:
            page.url: must be a URL address
      required:
        - message
        - code
        - fields
    UnauthorizedResponse:
      type: object
      properties:
        message:
          type: string
          example: Unauthorized
      required:
        - message
    SubscriptionLimitReachedResponse:
      type: object
      properties:
        message:
          type: string
          example: Reached subscription limit!
      required:
        - message
    ForbiddenResponse:
      type: object
      properties:
        message:
          type: string
          example: Token has no active subscription!
      required:
        - message
    TooManyRequestsResponse:
      type: object
      properties:
        message:
          type: string
          example: Too Many Requests!
      required:
        - message
    InternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          example: Internal server error
      required:
        - message
    ListTemplate:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the template.
        name:
          type: string
          description: The name of the template.
          maxLength: 200
        output:
          type: string
          description: The output format of the template.
          enum:
            - PDF
            - IMAGE
        createdAt:
          format: date-time
          type: string
          description: The date and time the template was created.
        updatedAt:
          format: date-time
          type: string
          description: The date and time the template was last updated.
      required:
        - id
        - name
        - output
        - createdAt
        - updatedAt
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````